libalsa2-1.0.28-1.mga5.i586.rpm


Advertisement

Description

libalsa2 - Advanced Linux Sound Architecture (ALSA) library

Property Value
Distribution Mageia 5.1
Repository Mageia Core i586
Package name libalsa2
Package version 1.0.28
Package release 1.mga5
Package architecture i586
Package type rpm
Installed size 1.13 MB
Download size 370.47 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.
Using the ALSA api requires to use the ALSA library.

Alternatives

Package Version Architecture Repository
libalsa2 - - -

Requires

Name Value
ld-linux.so.2 -
ld-linux.so.2(GLIBC_2.3) -
libalsa-data -
libasound.so.2 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.2) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.16) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libpython2.7.so.1.0 -
librt.so.1 -
librt.so.1(GLIBC_2.2) -

Provides

Name Value
alsa-lib == 2:1.0.28-1.mga5
libalsa == 2:1.0.28-1.mga5
libalsa2 == 2:1.0.28-1.mga5
libalsa2(x86-32) == 2:1.0.28-1.mga5
libasound.so.2 -
libasound.so.2(ALSA_0.9) -
libasound.so.2(ALSA_0.9.0) -
libasound.so.2(ALSA_0.9.0rc4) -
libasound.so.2(ALSA_0.9.0rc8) -
libasound.so.2(ALSA_0.9.3) -
libasound.so.2(ALSA_0.9.5) -
libasound.so.2(ALSA_0.9.7) -
smixer-ac97.so -
smixer-hda.so -
smixer-python.so -
smixer-sbase.so -

Obsoletes

Name Value
alsa-lib < 2:1.0.28-1.mga5
libalsa < 2:1.0.28-1.mga5

Download

Type URL
Binary Package libalsa2-1.0.28-1.mga5.i586.rpm
Source Package libalsa2-1.0.28-1.mga5.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libalsa2 rpm package:
    # urpmi libalsa2

Files

Path
/usr/lib/libasound.so.2
/usr/lib/libasound.so.2.0.0
/usr/lib/alsa-lib/
/usr/lib/alsa-lib/smixer/smixer-ac97.so
/usr/lib/alsa-lib/smixer/smixer-hda.so
/usr/lib/alsa-lib/smixer/smixer-python.so
/usr/lib/alsa-lib/smixer/smixer-sbase.so
/usr/share/doc/libalsa2/COPYING

Changelog

2014-06-18 - tv <tv> 2:1.0.28-1.mga5
+ Revision: 637887
- new release
2014-01-06 - tv <tv> 2:1.0.27.2-3.mga4
+ Revision: 565169
- do not suggests libalsa-plugins anymore (debloat, mga#8455)
2013-12-16 - blino <blino> 2:1.0.27.2-2.mga4
+ Revision: 557537
- alsa-plugins should be suggested for x86_64 too
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
2013-07-09 - fwang <fwang> 2:1.0.27.2-1.mga4
+ Revision: 451599
- new version 1.0.27.2
2013-05-24 - tv <tv> 2:1.0.27.1-1.mga4
+ Revision: 426504
- adjust file list
- drop merged patches
- new release
2013-01-30 - colin <colin> 2:1.0.26-7.mga3
+ Revision: 393540
- Add an upstream fix for some UCM related issue.
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ dmorgan <dmorgan>
- Add missing include in pcm.h
2013-01-11 - cjw <cjw> 2:1.0.26-6.mga3
+ Revision: 347559
- patch2: fix building against alsalib with new glibc
2013-01-05 - cjw <cjw> 2:1.0.26-5.mga3
+ Revision: 339240
- patch1: fix build with automake 1.13
2012-10-16 - malo <malo> 2:1.0.26-4.mga3
+ Revision: 307327
- update RPM group for Documentation
2012-10-08 - blino <blino> 2:1.0.26-3.mga3
+ Revision: 303551
- use Sound/Utilities rpm group
- drop aserver from devel package, not very useful and breaks bi-arch install of devel packages

See Also

Package Description
libalsa2-devel-1.0.28-1.mga5.i586.rpm Development files for Advanced Linux Sound Architecture (ALSA)
libalsa2-docs-1.0.28-1.mga5.noarch.rpm Documentation for Advanced Linux Sound Architecture (ALSA)
libalsaplayer-devel-0.99.81-9.mga5.i586.rpm AlsaPlayer devel stuff
libalsaplayer0-0.99.81-9.mga5.i586.rpm AlsaPlayer sharedlibrary
libalure-devel-1.2-8.mga5.i586.rpm alure development files
libalure-static-devel-1.2-8.mga5.i586.rpm alure static library
libalure1-1.2-8.mga5.i586.rpm alure library
libamarok-devel-2.8.0-6.mga5.i586.rpm Headers of amarok for development
libamarok-sqlcollection1-2.8.0-6.mga5.i586.rpm Amarok 2 core library
libamarok-transcoding1-2.8.0-6.mga5.i586.rpm Amarok 2 core library
libamarokcore1-2.8.0-6.mga5.i586.rpm Amarok 2 core library
libamaroklib1-2.8.0-6.mga5.i586.rpm Amarok 2 core library
libamarokocsclient4-2.8.0-6.mga5.i586.rpm Amarok 2 core library
libamarokpud1-2.8.0-6.mga5.i586.rpm Amarok 2 core library
libamarokshared1-2.8.0-6.mga5.i586.rpm Amarok 2 core library
Advertisement
Advertisement